from fastapi import APIRouter

from app.api.v1.endpoints import auth, cart, categories, health, orders, payments, products, users
from app.core.config import settings

api_router = APIRouter(prefix=settings.API_V1_STR)

# Include routers for different modules
api_router.include_router(auth.router, prefix="/auth", tags=["authentication"])
api_router.include_router(users.router, prefix="/users", tags=["users"])
api_router.include_router(categories.router, prefix="/categories", tags=["categories"])
api_router.include_router(products.router, prefix="/products", tags=["products"])
api_router.include_router(cart.router, prefix="/cart", tags=["cart"])
api_router.include_router(orders.router, prefix="/orders", tags=["orders"])
api_router.include_router(payments.router, prefix="/payments", tags=["payments"])
api_router.include_router(health.router, prefix="/health", tags=["health"])