from sqlalchemy import Column, ForeignKey, Integer, String
from sqlalchemy.orm import relationship

from app.db.session import Base
from app.models.base import Base as BaseModel


class CartItem(Base, BaseModel):
    """Cart item model."""
    
    quantity = Column(Integer, nullable=False, default=1)
    
    # Foreign keys
    user_id = Column(String(36), ForeignKey("user.id"), nullable=False)
    product_id = Column(String(36), ForeignKey("product.id"), nullable=False)
    
    # Relationships
    user = relationship("User", back_populates="cart_items")
    product = relationship("Product", back_populates="cart_items")